import { v4 as uuidv4 } from 'uuid'
import { defineStore } from 'pinia'

export const useMessageStore = defineStore({
  id: 'messageStore',
  state: () => ({
    messages: []
  }),
  getters: {
    getMessagesByChannelId: (state) => {
      return (channelId) => state.messages.filter((message) => message.channelId === channelId)
    }
  },
  actions: {
    addMessage(channelId, senderId, content) {
      this.messages.push({
        id: uuidv4(),
        channelId: channelId,
        userId: senderId,
        content: content,
        received: new Date()
      })
    }
  }
})
